<?php
  include("adm/conexao_e_agenda.php");
 // include("limpa_key.php");  
 //print_r($_POST);
 //exit();
 function estado($uf)
{
   switch($uf)
   {
                  case "ACRE" : $uf_ = "AC"; break;
                  case "ALAGOAS" : $uf_ = "AL"; break;
                  case "AMAPA" : $uf_ = "AP"; break;
                  case "AMAZONAS" : $uf_ = "AM"; break;
                  case "BAHIA" : $uf_ = "BA"; break;
                  case "CEARA" : $uf_ = "CE"; break;
                  case "DISTRITO FEDERAL" : $uf_ = "DF"; break;
                  case "ESPIRITO SANTO" : $uf_ = "ES"; break;
                  case "GOIAS" : $uf_ = "GO"; break;
                  case "MARANHAO" : $uf_ = "MA"; break;
                  case "MATO GROSSO" : $uf_ = "MT"; break;
                  case "MATO GROSSO DO SUL" : $uf_ = "MS"; break;
                  case "MINAS GERAIS" : $uf_ = "MG"; break;
                  case "PARA" : $uf_ = "PA"; break;
                  case "PARAIBA" : $uf_ = "PB"; break;
                  case "PARANA" : $uf_ = "PR"; break;
                  case "PERNAMBUCO" : $uf_ = "PE"; break;
                  case "PIAUI" : $uf_ = "PI"; break;
                  case "RIO DE JANEIRO" : $uf_ = "RJ"; break;
                  case "RIO GRANDE DO NORTE" : $uf_ = "RN"; break;
                  case "RIO GRANDE DO SUL" : $uf_ = "RS"; break;
                  case "RONDONIA" : $uf_ = "RO"; break;
                  case "RORAIMA" : $uf_ = "RR"; break;
                  case "SANTA CATARINA" : $uf_ = "SC"; break;
                  case "SAO PAULO" : $uf_ = "SP"; break;
                  case "SERGIPE" : $uf_ = "SE"; break;
                  case "TOCANTINS" : $uf_ = "TO"; break; 
   }
   return $uf_;
}
   
 //============
 if (isset($_POST['nome']))         { $nome=$_POST['nome']; }else{ $nome=""; }
	$nome = utf8_decode(strtoupper($nome));
	
	if (isset($_POST['patrocinador'])) { $patrocinador=utf8_decode($_POST['patrocinador']); }else{ $patrocinador=""; }
	$patrocinador = strtoupper($patrocinador);
	
	if (isset($_POST['endereco']))  { $endereco=utf8_decode($_POST['endereco']); }else{ $endereco=""; }
	$endereco = strtoupper($endereco);	
	if (isset($_POST['tipologradouro']))  { $tipologradouro=utf8_decode($_POST['tipologradouro']); }else{ $tipologradouro=""; }
	if (isset($_POST['numero']))  { $numero=$_POST['numero']; }else{ $numero=""; }	
	if (isset($_POST['cep']))       { $cep=$_POST['cep']; }else{ $cep=""; }
	if (isset($_POST['cidade']))    { $cidade=$_POST['cidade']; }else{ $cidade=""; }
	$cidade = utf8_decode(strtoupper($cidade));	
	if (isset($_POST['uf']))        { $estado=utf8_decode($_POST['uf']); }else{ $estado=""; }
	if (isset($_POST['telefone']))  { $telefone=$_POST['telefone']; }else{ $telefone=""; }
	if (isset($_POST['apelido']))     { $apelido=$_POST['apelido']; }else{ $apelido=""; }
	if (isset($_POST['email']))     { $email=$_POST['email']; }else{ $email=""; }
	if (isset($_POST['email2']))    { $email2=$_POST['email2']; }else{ $email2=""; }
	if (isset($_POST['bairro']))    { $bairro=utf8_decode($_POST['bairro']); }else{ $bairro=""; }
	$bairro = strtoupper($bairro);	
	if (isset($_POST['senha']))     { $senha=$_POST['senha']; }else{ $senha=""; }
	if (isset($_POST['senha2']))    { $senha2=$_POST['senha2']; }else{ $senha2=""; }
// teste para obrigatoriedade de preenchimento de campos
	if(($nome==null)or($endereco==null)or($numero==null)or($cidade==null)or($bairro==null)or($estado=="0")or($cep==null)or($tipologradouro==null)or($telefone==null)or($apelido==null)or($email==null)or($email2==null)or($senha==null)or($senha2==null)){
		print "<br><br><br><br><br>
		<p align='center'><strong><font color='#0000FF' size='2' face='Verdana, Arial, Helvetica, sans-serif'>
		Favor preencher CAMPOS obrigatórios!</font></strong> </p><br>
		<p align='center'><font color='#FF0000' size='3' face='Verdana, Arial, Helvetica, sans-serif'>
		Observar os campos assinalados com *
			  </font></p><br><br><br>";
				
?>
	<p align=center><font size="2">
	  <input type=button name=home22 value="Voltar" onClick="window.history.back();">
	  </font>  
	</p>
<?
	exit();
    }  
//==================	
// teste para preenchimento do email
	if($email!=$email2){
		print "<br><br><br><br><br>
		<p align='center'><strong><font color='#0000FF' size='2' face='Verdana, Arial, Helvetica, sans-serif'>
		Favor preencher corretamente o seu email!</font></strong></p><br><br><br>";
				
?>
	<p align=center><font size="2">
	  <input type=button name=home22 value="Voltar" onClick="window.history.back();">
	  </font>  
	</p>
<?
	exit();
    }	
	// teste para preenchimento da senha
	if($senha!=$senha2){
		print "<br><br><br><br><br>
		<p align='center'><strong><font color='#0000FF' size='2' face='Verdana, Arial, Helvetica, sans-serif'>
		Favor preencher corretamente o sua senha!</font></strong></p><br><br><br>";
				
?>
	<p align=center><font size="2">
	  <input type=button name=home22 value="Voltar" onClick="window.history.back();">
	  </font>  
	</p>
<?
	exit();
    }	
//==================	
  $uf_estado = estado($estado);
  $rua_end = $tipologradouro." ".$endereco.", ".$numero;
  $a = session_id();
  if(empty($a)) session_start();
//echo "<br>session_id(): ".session_id();//."<br>COOKIE: ".$_COOKIE["PHPSESSID"];	 
  $session_id = session_id(); 
  $data_simul = date("Y-m-d");
  //$_SESSION['voltando'] = $_SERVER['REQUEST_URI']; 
  $result = mysqli_query($conexao,"INSERT INTO clientes SET   
  nome='$nome',  
  telefone='$telefone',
  rua='$rua_end',
  numero='$numero',
  bairro='$bairro',
  cidade='$cidade',
  estado='$uf_estado',
  cep='$cep',
  email='$email',
  senha='$_POST[senha]',
  dt_cad='$data_simul'
  ") or die (mysqli_error($conexao));
  
  $alerta = "Seu cadastro foi realizado com sucesso!"; 
?>
<html>
<head>
<meta http-equiv="Pragma" content="no-cache">
<meta http-equiv="Expires" content="-1">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Cabelos e Cremes</title>
<meta name="Description" content="">
<meta name="Author" content="Marcos Antonio Pereira Lopes">
<meta name="Keywords" content="">
<script language="JavaScript">
<!--
function Redireciona(){
   alert(<? echo $alerta; ?>);
   open('index.php', '_top');
}
-->
</script>
</head>
<body onLoad="JavaScript:Redireciona()">  
	  

</body>
</html>